Skip to main content

Information

This endpoint allows you to access different informations about your orders.

Orders List​

GET/api/v1/information/order/list/

Get a listing of orders.

NameTypeRequiredDescription
pagestring❌Page number for pagination (default: 1)
commissionstring❌Filter orders by commission
start_datestring❌Filter orders from date
end_datestring❌Filter orders to date
order_sourcestring❌Filter orders by source (offline, api, webhshop)

Example Request​

curl -X GET https://api.axro.com/api/v1/information/order/list/ \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"

Example Response​

{
"orders": [
{
"order_number": "123456",
"date": "2025-06-25",
"commission": "123456/22",
"currency": "EUR",
"order_total": 17981,
"order_source": "Webshop"
},
{
"order_number": "123455",
"date": "2025-06-24",
"commission": "123455/1",
"currency": "EUR",
"order_total": 33510,
"order_source": "Offline"
},
{
"order_number": "123454",
"date": "2025-06-24",
"commission": "123454/231",
"currency": "EUR",
"order_total": 109751,
"order_source": "Api"
}
],
"total_pages": 1
}

Order Details​

GET/api/v1/information/order/detail/{order_number}/

Get details of a specific order.

Example Request​

curl -X GET https://api.axro.com/api/v1/information/order/detail/{order_number}/ \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"

Example Response​

{
"order_number": "123456",
"order": {
"invoice_number": "654321",
"date": "24.06.2025",
"commission": "25306956",
"currency": "EUR",
"order_total": 17981,
"order_source": "online",
"carrier": "",
"shipping_address": {
"company": "AXRO GmbH",
"street": "Schnackenburgallee 183-201",
"zip": "22525",
"city": "Hamburg"
},
"billing_address": {
"company": "AXRO GmbH",
"street": "Schnackenburgallee 183-201",
"zip": "22525",
"city": "Hamburg"
},
"items": [
{
"product_number": "CANP36KP",
"order_number": "493627",
"oem_number": "7737A001",
"quantity": 15,
"total": 14325
},
{
"product_number": "FR_AUTO_MD",
"order_number": "493627",
"oem_number": "FR_AUTO_MD",
"quantity": 1,
"total": 295
},
{
"product_number": "FR_AUTO",
"order_number": "493627",
"oem_number": "FR_AUTO",
"quantity": 1,
"total": 490
}
]
}
}

Invoices List​

GET/api/v1/information/invoice/list/

Get a listing of invoices.

NameTypeRequiredDescription
pagestring❌Page number for pagination (default: 1)
commissionstring❌Filter invoices by commission
start_datestring❌Filter invoices from date (YYYY-MM-DD)
end_datestring❌Filter invoices to date (YYYY-MM-DD)

Example Request​

curl -X GET "https://api.axro.com/api/v1/information/invoice/list/?start_date=2025-01-01&end_date=2025-01-31" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"

Example Response​

{
"invoices": [
{
"shipment_number": "992736",
"invoice_number": "296655",
"commission": "BR1234",
"status": "OnTheWay",
"date": "2025-04-15"
}
],
"total_pages": 2
}

Invoice Details​

GET/api/v1/information/invoice/detail/{invoice_number}/

Get details of a specific invoice.

Example Request​

curl -X GET "https://api.axro.com/api/v1/information/invoice/detail/{invoice_number}/" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"

Example Response​

{
"invoice_number": "2024-00123",
"invoice": {
"invoice_number": "2024-00123",
"date": "2024-06-10",
"supplier": {
"name": "AXRO GmbH",
"address": "Schnackenburgallee 183 - 201, 22525 Hamburg"
},
"recipient": {
"name": "Kunden AG",
"address": "Kundenweg 7, 90402 Nuremberg",
"vat_id": "DE123456789"
},
"items": [
{
"product_number": "SL-1000",
"oem_number": "SL-1000",
"description": "Software License",
"quantity": 1,
"unit_price": 100000
}
],
"net_amount": 100000,
"vat_rate": 0.19,
"vat_amount": 19000,
"gross_amount": 119000,
"delivery_date": "2024-06-09"
}
}

Shipments List​

GET/api/v1/information/shipment/list/

Get a listing of shipments of your orders.

NameTypeRequiredDescription
pagestring❌Page number for pagination (default: 1)
order_numberstring❌Filter shipments by a specific order number
commissionstring❌Filter shipments by commission

Example Request​

curl -X GET https://api.axro.com/information/shipment/list/ \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"

Example Response​

{
"shipments": [
{
"shipment_number": "123456",
"company": "AXRO GmbH",
"commission": "25306964/1",
"status": "OnTheWay",
"status_translated": "On the way",
"date": "2025-06-24",
"shipping_date": "2025-06-24",
"tracking_url": "https://nolp.dhl.de/nextt-online-public/set_identcodes.do?lang=en&idc=0012345678901234567",
"tracking_code": "0012345678901234567",
"carrier": "DHL"
},
{
"shipment_number": "654321",
"company": "Acme Inc.",
"commission": "25306949/22",
"status": "Completed",
"status_translated": "Completed",
"date": "2025-06-24",
"shipping_date": "2025-06-24",
"tracking_url": "https://nolp.dhl.de/nextt-online-public/set_identcodes.do?lang=en&idc=00987654321098765432",
"tracking_code": "00987654321098765432",
"carrier": "DHL"
}
],
"total_pages": 1
}

Info: The status field can have the following values which means:

  • Unknown: In process / not yet shipped / tacking number received / etc.
  • OnTheWay: In delivery
  • Completed: Completed

The status "unknown" means not that your delivery is not being processed, it means it is in any other status before delivery.

Parcel carrier companies has different states for their shipments, so they are mapped to these three common states.

Shipment Details​

GET/api/v1/information/shipment/detail/{shipment_number}/

Get details of a specific shipment.

Example Request​

curl -X GET https://api.axro.com/api/v1/information/shipment/detail/{shipment_number}/ \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"

A shipment can contain items from multiple orders. The order_numbers field indicates which orders are included in the shipment.

Example Response​

{
"shipment_number": "654321",
"shipment": {
"order_numbers": [
"123456"
],
"invoice_number": "932035",
"shipment_number": "545208",
"shipping_date": "2025-06-24",
"items": [
{
"product_number": "BROT423BK",
"order_number": "123456",
"oem_number": "TN423BK",
"commission": "25306964/1",
"quantity": 2,
"total": 17422
},
{
"product_number": "BROT423C",
"order_number": "123456",
"oem_number": "TN423C",
"commission": "25306964/1",
"quantity": 2,
"total": 23582
},
{
"product_number": "FR_AUTO",
"order_number": "123456",
"oem_number": "FR_AUTO",
"commission": "25306964/1",
"quantity": 1,
"total": 990
},
{
"product_number": "FR_AUTO_MD",
"order_number": "123456",
"oem_number": "FR_AUTO_MD",
"commission": "25306964/1",
"quantity": 1,
"total": 295
}
]
}
}

Tracking History​

GET/api/v1/information/tracking/history/{shipment_number}/

Get parcel tracking history for a shipment. The history object is keyed by tracking code and contains carrier states as provided by the Issue Service.

Example Request​

curl -X GET "https://api.axro.com/api/v1/information/tracking/history/{shipment_number}/" \
-H "Authorization: Bearer {{ACCESS_TOKEN}}"

Example Response​

{
"shipment_number": "567517",
"history": {
"00340434760081199160": {
"states": {
"0": {
"time": "2025-08-18T13:34:00+02:00",
"event": "Erfolgreich zugestellt",
"phase": "Delivery",
"location": { "place": "" },
"timezone": "Etc/GMT-2",
"event_key": "H10",
"phase_key": "H",
"carrier_name": "DHL Paket",
"additional_info": []
}
},
"estimatedDeliveryDate": {
"date": "2025-08-18 14:35:00.000000",
"timezone_type": 3,
"timezone": "Europe/Berlin"
},
"delivered": true
}
}
}